shevek::avahi::browser(3)

NAME
shevek::avahi::browser - Class for browsing other hosts.

SYNOPSIS

#include <avahi.hh>

Inherits shevek::refbase.

  Classes

struct details
Details about a discovered service. These are internally created and may be examined by the application.
struct owner
Information about a discovered server.

  Public Types

typedef std::set< details > details_list
Container class for a list of details.
typedef std::map< Glib::ustring, owner > list
Container class for a list of owners.

  Public Member Functions

list const & get_list ()
Access the list of owners.
sigc::signal1< void, Glib::ustring const & > signal_changed ()
Signal to be notified when the list changes.
~browser ()
The destructor cleans everything up.

  Static Public Member Functions

static Glib::RefPtr< browser > create (Glib::ustring const &protocol)
Create a browser class without an existing avahi object. Don't use this if you have an avahi object; use avahi::create_browser instead.
static list get_list_block (Glib::ustring const &protocol, Glib::ustring const &name=Glib::ustring())
Synchronously get a list of owners. When using this, the servers are not monitored, so you will not be notified of any changes.

  Friends

class avahi

  Additional Inherited Members

Detailed Description

Class for browsing other hosts.

Author

Generated automatically by Doxygen for libshevek from the source code.